import { NgPackageConfig } from '../../ng-package.schema';
export declare const SCOPE_PREFIX = "@";
export declare const SCOPE_NAME_SEPARATOR = "/";
export declare const DEFAULT_BUILD_FOLDER = ".ng_pkg_build";
export declare class NgPackageData {
    /**
     * Source path of the root package (equivalent to the `src` field configured in the root ng-package.json).
     */
    readonly rootSourcePath: string;
    /**
     * Destination path of the root package (equivalent to the `dest` field configured in the root ng-package.json).
     */
    readonly rootDestinationPath: string;
    /**
     * Source path of the current package (equivalent to a sub folder of the `src` field configured in the root ng-package.json).
     */
    readonly sourcePath: string;
    readonly pathOffsetFromSourceRoot: string;
    readonly fullPackageName: string;
    readonly packageNameWithoutScope: string;
    readonly scope?: string;
    readonly flatModuleFileName: string;
    readonly entryFile: string;
    readonly destinationPath: string;
    readonly buildDirectory: string;
    readonly libExternals: any;
    readonly jsxConfig?: string;
    constructor(
        /**
         * Source path of the root package (equivalent to the `src` field configured in the root ng-package.json).
         */
        rootSourcePath: string, rootPackageName: string, 
        /**
         * Destination path of the root package (equivalent to the `dest` field configured in the root ng-package.json).
         */
        rootDestinationPath: string, 
        /**
         * Source path of the current package (equivalent to a sub folder of the `src` field configured in the root ng-package.json).
         */
        sourcePath: string, ngPackageConfig: NgPackageConfig);
}
