import { NgPackageData } from '../model/ng-package-data';
import { NgArtifacts } from '../model/ng-artifacts';
import { PackageSearchResult } from '../model/package-search-result';
/**
 * Search for, and read, root and secondary packages starting from a root path.
 *
 * @param {string} rootPath The path to your root folder which contains a package.json file
 * @returns {Promise<PackageSearchResult>}
 */
export declare function discoverPackages(rootPath: string): Promise<PackageSearchResult>;
/**
 * Creates a `package.json` file by reading one from the `src` folder, adding additional
 * properties, and writing to `dest` folder
 *
 * @param ngPkg Angular package data
 * @param packageArtifacts Package artifacts to merge into package.json
 */
export declare function writePackage(ngPkg: NgPackageData, packageArtifacts: NgArtifacts): Promise<void>;
